1 (19.02.2015 13:03:18 отредактировано Хравн)

Тема: Федора 21 ошибки зависимостей при обновлении.

Собственно ставил систему пару месяцев назад, ни разу не обновлял. Добавил пару репов для  устанвоки пакетов нужных. Хочу обновиться ошибки зависимостей.  Информация в спойлере.

+ открыть спойлер
Ошибка: Пакет: orage-4.10.0-4.el7.x86_64 (epel)
            Необходимо: libicalvcal.so.0()(64bit)
Ошибка: Пакет: 2:ntfsprogs-2014.2.15-8.el7.x86_64 (epel)
            Необходимо: libgcrypt.so.11(GCRYPT_1.2)(64bit)
Ошибка: Пакет: orage-4.10.0-4.el7.x86_64 (epel)
            Необходимо: libicalss.so.0()(64bit)
Ошибка: Пакет: orage-4.10.0-4.el7.x86_64 (epel)
            Необходимо: libical.so.0()(64bit)
Ошибка: Пакет: 2:ntfsprogs-2014.2.15-8.el7.x86_64 (epel)
            Необходимо: libgcrypt.so.11()(64bit)
 Вы можете попробовать --skip-broken чтобы обойти проблему
 Вы можете попробовать запустить: rpm -Va --nofiles --nodigest

$ cat /etc/fedora-release
Fedora release 21 (Twenty One)

 $ uname -a
Linux tobm 3.17.8-300.fc21.x86_64 #1 SMP Thu Jan 8 23:32:49 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

 yum repolist 
Загружены модули: langpacks
google-chrome/primary       | 1.9 kB  00:00:00     
google-chrome               3/3
Идентификатор репозитория                репозиторий                   состояние
epel/x86_64            Extra Packages for Enterprise Linux 7 - x86_64       7 291
fedora/21/x86_64            Fedora 21 - x86_64             42 816
google-chrome        google-chrome           3
nux-dextop/x86_64     Nux.Ro RPMs for general desktop use             1 781
updates/21/x86_64       Fedora 21 - x86_64 - Updates         8 603
repolist: 60 494

2

Re: Федора 21 ошибки зависимостей при обновлении.

Так смотрели в репах этой федоры?
Там может быть уже всё по-другому. Обновляться надо - раз в неделю... Как Док говорит - ССЗБ ab Вот и выкручивайтесь. А я переставил бы машинку. ab А всё равно - просрали ab

3

Re: Федора 21 ошибки зависимостей при обновлении.

Замечательная система. Которую раз в неделю необходимо обновлять, а то потом не обновишься. Да и ещё лечится только реинсталом. Печаль печаль.

4

Re: Федора 21 ошибки зависимостей при обновлении.

На самом деле - ничего не надо. Надо один раз сделать правильно. И всё будет нормально.
PS а Федора - быстроразвивающаяся машинка. Вы её выбрали? А вот успевайте. И флаг Вам в руки ab

5

Re: Федора 21 ошибки зависимостей при обновлении.

Зачем переустанавливать, это бред. Я бы снес вот эти бы пакеты ( потом если они нужны, поставить обратно), почистил бы кэш clean all , и попробывал заново update.

6

Re: Федора 21 ошибки зависимостей при обновлении.

Хравн пишет

Замечательная система. Которую раз в неделю необходимо обновлять, а то потом не обновишься. Да и ещё лечится только реинсталом. Печаль печаль.

А зачем левые репозитории добавляли?

7

Re: Федора 21 ошибки зависимостей при обновлении.

Хравн, так ты подключил к Федоре 21 репозитории от CentOS 7 и ещё жалуешься, что зависимости сломались?
Удали кривые левые репозитории.

Зачастую обновления несут исправления того, о чём пользователь даже понятия не имеет, но это не значит что не надо обновляться. А наоборот, обновления - это исправления и улучшения.

P.S. Прошу всех остальных перестать тут флеймить.

8 (19.02.2015 17:10:08 отредактировано )

Re: Федора 21 ошибки зависимостей при обновлении.

И ещё довольно забавный факт

Консоль
sudo yum remove orage
Загружены модули: langpacks
Совпадений с orage не найдено.
Пакетов, отмеченных для удаления, нет.

Vascom пишет

Хравн, так ты подключил к Федоре 21 репозитории от CentOS 7 и ещё жалуешься, что зависимости сломались?
Удали кривые левые репозитории.

Зачастую обновления несут исправления того, о чём пользователь даже понятия не имеет, но это не значит что не надо обновляться. А наоборот, обновления - это исправления и улучшения.

P.S. Прошу всех остальных перестать тут флеймить.

А что тут кривой репозиторий от CentOS 7?

9

Re: Федора 21 ошибки зависимостей при обновлении.

Конечно. Любой репозиторий от CentOS 7 по умолчанию кривой для Fedora 21!!!

Показывай весь лог из первого поста, а не кусочек.
А вообще, ты мог совсем разрушить систему такими действиями.

10 (19.02.2015 17:16:40 отредактировано Хравн)

Re: Федора 21 ошибки зависимостей при обновлении.

Уже с игнорирование не разрешённых зависимостей запустил.
Не заведётся чёрт бы с ней.

11

Re: Федора 21 ошибки зависимостей при обновлении.

Только в следующий раз не надо пенять на систему, если сам накосячил. И не слушай других, говорящих что федора нестабильна и валится при обновлениях.

12

Re: Федора 21 ошибки зависимостей при обновлении.

Vascom пишет

Только в следующий раз не надо пенять на систему, если сам накосячил. И не слушай других, говорящих что федора нестабильна и валится при обновлениях.

Федора стабильна, но вот автообновление релизов (с версии на версию) всё ещё корявое.

13

Re: Федора 21 ошибки зависимостей при обновлении.

После обновления завелась.
И  "yum update"   говорит что обновлять не чего.
Но:

Консоль

➜  yum.repos.d  rpm -qa | grep ntfsprogs
➜  yum.repos.d 

14

Re: Федора 21 ошибки зависимостей при обновлении.

Что "но"?

15

Re: Федора 21 ошибки зависимостей при обновлении.

куда пакет делся?

16

Re: Федора 21 ошибки зависимостей при обновлении.

Наверное на месте. Ты непонятное что-то написал.
Смотри пакет командой yum list ntfsprogs

17

Re: Федора 21 ошибки зависимостей при обновлении.

Куча пакетов куда-то делась. Например gedit

+ открыть спойлер

Консоль
yum install gedit
Загружены модули: langpacks
Разрешение зависимостей
--> Проверка сценария
---> Пакет gedit.x86_64 2:3.14.3-1.fc21 помечен для установки
--> Обработка зависимостей: gvfs пакета: 2:gedit-3.14.3-1.fc21.x86_64
--> Проверка сценария
---> Пакет gvfs.x86_64 0:1.22.3-2.fc21 помечен для установки
--> Обработка зависимостей: udisks2 пакета: gvfs-1.22.3-2.fc21.x86_64
--> Проверка сценария
---> Пакет udisks2.x86_64 0:2.1.3-4.fc21 помечен для установки
--> Обработка зависимостей: ntfsprogs пакета: udisks2-2.1.3-4.fc21.x86_64
--> Проверка сценария
---> Пакет ntfsprogs.x86_64 2:2014.2.15-8.el7 помечен для установки
--> Обработка зависимостей: libgcrypt.so.11(GCRYPT_1.2)(64bit) пакета: 2:ntfsprogs-2014.2.15-8.el7.x86_64
--> Обработка зависимостей: libgcrypt.so.11()(64bit) пакета: 2:ntfsprogs-2014.2.15-8.el7.x86_64
--> Проверка зависимостей окончена
Ошибка: Пакет: 2:ntfsprogs-2014.2.15-8.el7.x86_64 (epel)
            Необходимо: libgcrypt.so.11(GCRYPT_1.2)(64bit)
Ошибка: Пакет: 2:ntfsprogs-2014.2.15-8.el7.x86_64 (epel)
            Необходимо: libgcrypt.so.11()(64bit)
Вы можете попробовать --skip-broken чтобы обойти проблему
Вы можете попробовать запустить: rpm -Va --nofiles --nodigest

18

Re: Федора 21 ошибки зависимостей при обновлении.

Потому что ты по прежнему не отключил репозитории CentOS 7 и/или не удалил все пакеты, установленные из этих репозиториев.

19

Re: Федора 21 ошибки зависимостей при обновлении.

Под репозеторием для CentOS 7 подразумевается epel?
Так он при устанвоке был я только гугловский добавлял. И к томуже в epel почти все нужные пакеты.

Консоль
yum repolist
Загружены модули: langpacks
Идентификатор репозитория                    репозиторий                                             состояние
epel/x86_64                                  Extra Packages for Enterprise Linux 7 - x86_64           7 301
fedora/21/x86_64                             Fedora 21 - x86_64                                      42 816
google-chrome                                google-chrome                                                3
rpmfusion-free/21/x86_64                     RPM Fusion for Fedora 21 - Free                            470
rpmfusion-free-updates/21/x86_64             RPM Fusion for Fedora 21 - Free - Updates                  204
rpmfusion-nonfree/21/x86_64                  RPM Fusion for Fedora 21 - Nonfree                         178
rpmfusion-nonfree-updates/21/x86_64          RPM Fusion for Fedora 21 - Nonfree - Updates               150
updates/21/x86_64                            Fedora 21 - x86_64 - Updates                             8 607
repolist: 59 729

20 (20.02.2015 10:54:29 отредактировано kirillov3798)

Re: Федора 21 ошибки зависимостей при обновлении.

Хравн, как вы додумались подключить репозитории от CentOS7 в Fedora 21? bm  Вам надо к чертям выкинуть epel и nux-desktop, т. к. для Fedora 21 они НЕ ПОДХОДЯТ.
После:

# yum clean all
# yum autoremove -y
# yum update -y

Extra Packages for Enterprise Linux 7 - x86_64
Вам эта строчка о чем-нибудь говорит? Все нужные пакеты для Fedora содержатся в репозиториях fedora (стандартный) + updates (стандартный) + russianfedora-free + russianfedora-nonfree + russianfedora-fixes + rpmfusion-free + rpmfusion-nonfree. Все. Для fedora этого достаточно.

21

Re: Федора 21 ошибки зависимостей при обновлении.

Да, EPEL. Его не могло быть при установке ни как. Тут уж ты лукавишь ab
Все, нет ВСЕ нужные пакеты, присутствующие в EPEL есть в репозиториях Федоры!!!

22

Re: Федора 21 ошибки зависимостей при обновлении.

Хравн, вот репки "родные" для федорки:

Консоль
root@localhost medvezhka]# yum repolist
Загружены модули: langpacks
Идентификатор репозитория            репозиторий                       состояние
!adobe-linux-x86_64                  Adobe Systems Incorporated             2
fedora/21/x86_64                     Fedora 21 - x86_64                42 816
rpmfusion-free/21/x86_64             RPM Fusion for Fedora 21 - Free      470
!rpmfusion-free-updates/21/x86_64    RPM Fusion for Fedora 21 - Free -    204
rpmfusion-nonfree/21/x86_64          RPM Fusion for Fedora 21 - Nonfre    178
!rpmfusion-nonfree-updates/21/x86_64 RPM Fusion for Fedora 21 - Nonfre    150
!updates/21/x86_64                   Fedora 21 - x86_64 - Updates       8 603
repolist: 52 423